=== modified file 'CMakeLists.txt'
--- CMakeLists.txt	2012-05-07 19:52:54 +0000
+++ CMakeLists.txt	2012-05-07 22:28:17 +0000
@@ -130,11 +130,12 @@
 add_subdirectory(dash)
 add_subdirectory(hud)
 add_subdirectory(launcher)
-#add_subdirectory(plugins/unityshell)
-#add_subdirectory(plugins/gtkloader)
-#add_subdirectory(plugins/networkarearegion)
-#add_subdirectory(plugins/unitydialog)
-#add_subdirectory(plugins/unity-mt-grab-handles)
+add_subdirectory(shortcuts)
+add_subdirectory(plugins/unityshell)
+add_subdirectory(plugins/gtkloader)
+add_subdirectory(plugins/networkarearegion)
+add_subdirectory(plugins/unitydialog)
+add_subdirectory(plugins/unity-mt-grab-handles)
 
 # subdirs
 add_subdirectory(doc)
@@ -158,12 +159,10 @@
 endif(GTEST_INCLUDE_DIR)
 
 add_subdirectory(services)
-#add_subdirectory(tests)
+add_subdirectory(tests)
 add_subdirectory(tools)
 add_subdirectory(UnityCore)
 add_subdirectory(guides)
-#add_subdirectory(standalone-clients EXCLUDE_FROM_ALL)
-
 
 #
 # GSettings Schema

=== modified file 'dash/CMakeLists.txt'
--- dash/CMakeLists.txt	2012-05-07 00:49:31 +0000
+++ dash/CMakeLists.txt	2012-05-07 22:28:17 +0000
@@ -9,6 +9,11 @@
      "-DGETTEXT_PACKAGE=\"unity\""
      "-I${CMAKE_CURRENT_BINARY_DIR}"
      )
+
+if (${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
+  set (CFLAGS ${CFLAGS} "-fPIC")
+endif (${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
+
 add_definitions (${CFLAGS})
 
 set (LIBS ${CACHED_UNITY_DEPS_LIBRARIES} "-lunity-core-${UNITY_API_VERSION} -lm -lGL -lGLU")
@@ -24,7 +29,6 @@
 #
 set (DASH_SOURCES
      AbstractPlacesGroup.cpp
-     AbstractSeparator.cpp
      DashView.cpp
      DashViewPrivate.cpp
      FilterAllButton.cpp
@@ -42,7 +46,6 @@
      LensBarIcon.cpp
      LensView.cpp
      LensViewPrivate.cpp
-     LineSeparator.cpp
      PlacesGroup.cpp
      PlacesSimpleTile.cpp
      PlacesTile.cpp

=== modified file 'dash/DashController.cpp'
--- dash/DashController.cpp	2012-05-06 23:48:38 +0000
+++ dash/DashController.cpp	2012-05-07 22:28:17 +0000
@@ -22,8 +22,8 @@
 #include <Nux/HLayout.h>
 
 #include "unity-shared/DashSettings.h"
-#include "PanelStyle.h"
-#include "PluginAdapter.h"
+#include "unity-shared/PanelStyle.h"
+#include "unity-shared/PluginAdapter.h"
 #include "unity-shared/UBusMessages.h"
 #include "unity-shared/UScreen.h"
 

=== modified file 'dash/FilterExpanderLabel.cpp'
--- dash/FilterExpanderLabel.cpp	2012-05-06 23:48:38 +0000
+++ dash/FilterExpanderLabel.cpp	2012-05-07 22:28:17 +0000
@@ -22,7 +22,7 @@
 
 #include "unity-shared/DashStyle.h"
 #include "FilterExpanderLabel.h"
-#include "LineSeparator.h"
+#include "unity-shared/LineSeparator.h"
 
 namespace
 {

=== modified file 'dash/LensBar.cpp'
--- dash/LensBar.cpp	2012-05-06 23:48:38 +0000
+++ dash/LensBar.cpp	2012-05-07 22:28:17 +0000
@@ -19,7 +19,7 @@
 #include <NuxCore/Logger.h>
 #include "config.h"
 
-#include "CairoTexture.h"
+#include "unity-shared/CairoTexture.h"
 #include "LensBar.h"
 
 namespace unity

=== modified file 'dash/PlacesGroup.cpp'
--- dash/PlacesGroup.cpp	2012-05-06 23:48:38 +0000
+++ dash/PlacesGroup.cpp	2012-05-07 22:28:17 +0000
@@ -42,7 +42,7 @@
 #include <Nux/Utils.h>
 #include <UnityCore/Variant.h>
 #include "unity-shared/DashStyle.h"
-#include "LineSeparator.h"
+#include "unity-shared/LineSeparator.h"
 #include "unity-shared/ubus-server.h"
 #include "unity-shared/UBusMessages.h"
 

=== modified file 'dash/PlacesTile.cpp'
--- dash/PlacesTile.cpp	2012-05-06 23:48:38 +0000
+++ dash/PlacesTile.cpp	2012-05-07 22:28:17 +0000
@@ -23,7 +23,7 @@
 
 #include <Nux/Nux.h>
 
-#include "CairoTexture.h"
+#include "unity-shared/CairoTexture.h"
 #include "unity-shared/TextureCache.h"
 #include "PlacesTile.h"
 

=== modified file 'dash/PlacesVScrollBar.cpp'
--- dash/PlacesVScrollBar.cpp	2012-05-06 23:48:38 +0000
+++ dash/PlacesVScrollBar.cpp	2012-05-07 22:28:17 +0000
@@ -19,7 +19,7 @@
 
 #include <Nux/Nux.h>
 
-#include "CairoTexture.h"
+#include "unity-shared/CairoTexture.h"
 #include "PlacesVScrollBar.h"
 
 using unity::texture_from_cairo_graphics;

=== modified file 'dash/ResultRendererHorizontalTile.cpp'
--- dash/ResultRendererHorizontalTile.cpp	2012-05-06 23:48:38 +0000
+++ dash/ResultRendererHorizontalTile.cpp	2012-05-07 22:28:17 +0000
@@ -31,7 +31,7 @@
 
 #include <UnityCore/GLibWrapper.h>
 
-#include "CairoTexture.h"
+#include "unity-shared/CairoTexture.h"
 #include "unity-shared/DashStyle.h"
 #include "unity-shared/IconLoader.h"
 #include "unity-shared/IconTexture.h"

=== modified file 'dash/ResultRendererTile.cpp'
--- dash/ResultRendererTile.cpp	2012-05-06 23:48:38 +0000
+++ dash/ResultRendererTile.cpp	2012-05-07 22:28:17 +0000
@@ -34,7 +34,7 @@
 #include <NuxCore/Logger.h>
 #include <UnityCore/GLibWrapper.h>
 
-#include "CairoTexture.h"
+#include "unity-shared/CairoTexture.h"
 #include "unity-shared/DashStyle.h"
 #include "unity-shared/IconLoader.h"
 #include "unity-shared/IconTexture.h"

=== modified file 'hud/CMakeLists.txt'
--- hud/CMakeLists.txt	2012-05-07 00:49:31 +0000
+++ hud/CMakeLists.txt	2012-05-07 22:28:17 +0000
@@ -9,6 +9,11 @@
      "-DGETTEXT_PACKAGE=\"unity\""
      "-I${CMAKE_CURRENT_BINARY_DIR}"
      )
+
+if (${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
+  set (CFLAGS ${CFLAGS} "-fPIC")
+endif (${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
+
 add_definitions (${CFLAGS})
 
 set (LIBS ${CACHED_UNITY_DEPS_LIBRARIES} "-lunity-core-${UNITY_API_VERSION} -lm -lGL -lGLU")

=== modified file 'launcher/CMakeLists.txt'
--- launcher/CMakeLists.txt	2012-05-07 19:52:54 +0000
+++ launcher/CMakeLists.txt	2012-05-07 22:28:17 +0000
@@ -6,9 +6,15 @@
      ${CACHED_UNITY_DEPS_CFLAGS}
      ${CACHED_UNITY_DEPS_CFLAGS_OTHER}
      ${MAINTAINER_CFLAGS}
+     "-fPIC"
      "-DGETTEXT_PACKAGE=\"unity\""
      "-I${CMAKE_CURRENT_BINARY_DIR}"
      )
+
+if (${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
+  set (CFLAGS ${CFLAGS} "-fPIC")
+endif (${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
+
 add_definitions (${CFLAGS})
 
 set (LIBS ${CACHED_UNITY_DEPS_LIBRARIES} "-lunity-core-${UNITY_API_VERSION} -lm -lGL -lGLU")
@@ -74,8 +80,6 @@
       SwitcherModel.cpp
       SwitcherView.cpp
       LayoutSystem.cpp
-      UnityWindowView.cpp
-      UnityWindowStyle.cpp
     )
 
 add_library (switcher-lib STATIC ${SWITCHER_SOURCES})
@@ -89,5 +93,5 @@
 target_link_libraries (launcher launcher-lib unity-shared)
 
 add_executable (switcher StandaloneSwitcher.cpp)
-add_dependencies (switcher switcher-lib)
-target_link_libraries (switcher switcher-lib unity-shared)
+add_dependencies (switcher switcher-lib launcher-lib)
+target_link_libraries (switcher switcher-lib launcher-lib unity-shared)

=== modified file 'launcher/CairoBaseWindow.cpp'
--- launcher/CairoBaseWindow.cpp	2012-05-07 19:52:54 +0000
+++ launcher/CairoBaseWindow.cpp	2012-05-07 22:28:17 +0000
@@ -20,7 +20,7 @@
 
 #include <Nux/Nux.h>
 
-#include "CairoTexture.h"
+#include "unity-shared/CairoTexture.h"
 #include "CairoBaseWindow.h"
 
 namespace unity

=== modified file 'launcher/LauncherIcon.cpp'
--- launcher/LauncherIcon.cpp	2012-05-07 19:52:54 +0000
+++ launcher/LauncherIcon.cpp	2012-05-07 22:28:17 +0000
@@ -30,7 +30,7 @@
 #include <NuxCore/Color.h>
 #include <NuxCore/Logger.h>
 
-#include "CairoTexture.h"
+#include "unity-shared/CairoTexture.h"
 #include "LauncherIcon.h"
 #include "Launcher.h"
 #include "unity-shared/TimeUtil.h"

=== modified file 'launcher/QuicklistMenuItemCheckmark.cpp'
--- launcher/QuicklistMenuItemCheckmark.cpp	2012-05-07 19:52:54 +0000
+++ launcher/QuicklistMenuItemCheckmark.cpp	2012-05-07 22:28:17 +0000
@@ -23,7 +23,7 @@
 
 #include <Nux/Nux.h>
 
-#include "CairoTexture.h"
+#include "unity-shared/CairoTexture.h"
 #include "QuicklistMenuItemCheckmark.h"
 
 namespace unity

=== modified file 'launcher/QuicklistMenuItemLabel.cpp'
--- launcher/QuicklistMenuItemLabel.cpp	2012-05-07 19:52:54 +0000
+++ launcher/QuicklistMenuItemLabel.cpp	2012-05-07 22:28:17 +0000
@@ -23,7 +23,7 @@
 
 #include <Nux/Nux.h>
 
-#include "CairoTexture.h"
+#include "unity-shared/CairoTexture.h"
 #include "QuicklistMenuItemLabel.h"
 
 namespace unity

=== modified file 'launcher/QuicklistMenuItemRadio.cpp'
--- launcher/QuicklistMenuItemRadio.cpp	2012-05-07 19:52:54 +0000
+++ launcher/QuicklistMenuItemRadio.cpp	2012-05-07 22:28:17 +0000
@@ -22,7 +22,7 @@
 
 #include <Nux/Nux.h>
 
-#include "CairoTexture.h"
+#include "unity-shared/CairoTexture.h"
 #include "QuicklistMenuItemRadio.h"
 
 namespace unity

=== modified file 'launcher/QuicklistMenuItemSeparator.cpp'
--- launcher/QuicklistMenuItemSeparator.cpp	2012-05-07 19:52:54 +0000
+++ launcher/QuicklistMenuItemSeparator.cpp	2012-05-07 22:28:17 +0000
@@ -19,7 +19,7 @@
 
 #include <Nux/Nux.h>
 
-#include "CairoTexture.h"
+#include "unity-shared/CairoTexture.h"
 #include "QuicklistMenuItemSeparator.h"
 
 namespace unity

=== modified file 'launcher/QuicklistView.cpp'
--- launcher/QuicklistView.cpp	2012-05-07 19:52:54 +0000
+++ launcher/QuicklistView.cpp	2012-05-07 22:28:17 +0000
@@ -30,7 +30,7 @@
 #include <NuxImage/CairoGraphics.h>
 #include <UnityCore/Variant.h>
 
-#include "CairoTexture.h"
+#include "unity-shared/CairoTexture.h"
 
 #include "QuicklistView.h"
 #include "QuicklistMenuItem.h"

=== modified file 'launcher/StandaloneSwitcher.cpp'
--- launcher/StandaloneSwitcher.cpp	2012-05-07 19:52:54 +0000
+++ launcher/StandaloneSwitcher.cpp	2012-05-07 22:28:17 +0000
@@ -101,9 +101,9 @@
 {
   view->Hide();
 
-  std::vector<AbstractLauncherIcon*> icons;
+  std::vector<nux::ObjectPtr<AbstractLauncherIcon>> icons;
   for (int i = 0; i < self->GetValue (); i++)
-    icons.push_back(new MockLauncherIcon());
+    icons.push_back(nux::ObjectPtr<AbstractLauncherIcon>(new MockLauncherIcon()));
 
   view->Show(ShowMode::ALL, SortMode::FOCUS_ORDER, false, icons);
 }
@@ -129,15 +129,15 @@
 
   view = new Controller();
   view->timeout_length = 0;
-  view->SetWorkspace(nux::Geometry(0, 0, 900, 600));
+  view->SetWorkspace(nux::Geometry(0, 0, 900, 600), 0);
 
   layout->SetContentDistribution(nux::eStackCenter);
   layout->SetHorizontalExternalMargin (10);
   nux::GetWindowThread()->SetLayout(layout);
 
-  std::vector<AbstractLauncherIcon*> icons;
+  std::vector<nux::ObjectPtr<AbstractLauncherIcon>> icons;
   for (int i = 0; i < 9; i++)
-    icons.push_back(new MockLauncherIcon());
+    icons.push_back(nux::ObjectPtr<AbstractLauncherIcon>(new MockLauncherIcon()));
 
   view->Show(ShowMode::ALL, SortMode::FOCUS_ORDER, false, icons);
 
@@ -291,8 +291,6 @@
   
   gtk_init(&argc, &argv);
 
-  dbus_g_thread_init();
-
   nux::NuxInitialize(0);
 
   BackgroundEffectHelper::blur_type = unity::BLUR_ACTIVE;

=== modified file 'launcher/SwitcherView.h'
--- launcher/SwitcherView.h	2012-05-07 19:52:54 +0000
+++ launcher/SwitcherView.h	2012-05-07 22:28:17 +0000
@@ -25,7 +25,7 @@
 #include "unity-shared/StaticCairoText.h"
 #include "LayoutSystem.h"
 #include "unity-shared/BackgroundEffectHelper.h"
-#include "UnityWindowView.h"
+#include "unity-shared/UnityWindowView.h"
 
 #include "unity-shared/Introspectable.h"
 

=== modified file 'launcher/Tooltip.cpp'
--- launcher/Tooltip.cpp	2012-05-07 19:52:54 +0000
+++ launcher/Tooltip.cpp	2012-05-07 22:28:17 +0000
@@ -23,7 +23,7 @@
 #include <Nux/Nux.h>
 #include <UnityCore/Variant.h>
 
-#include "CairoTexture.h"
+#include "unity-shared/CairoTexture.h"
 #include "unity-shared/ubus-server.h"
 #include "unity-shared/UBusMessages.h"
 

=== modified file 'panel/CMakeLists.txt'
--- panel/CMakeLists.txt	2012-05-07 00:49:31 +0000
+++ panel/CMakeLists.txt	2012-05-07 22:28:17 +0000
@@ -9,6 +9,11 @@
      "-DGETTEXT_PACKAGE=\"unity\""
      "-I${CMAKE_CURRENT_BINARY_DIR}"
      )
+
+if (${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
+  set (CFLAGS ${CFLAGS} "-fPIC")
+endif (${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
+
 add_definitions (${CFLAGS})
 
 set (LIBS ${CACHED_UNITY_DEPS_LIBRARIES} "-lunity-core-${UNITY_API_VERSION} -lm -lGL -lGLU")

=== modified file 'panel/PanelIndicatorEntryView.cpp'
--- panel/PanelIndicatorEntryView.cpp	2012-05-07 00:49:31 +0000
+++ panel/PanelIndicatorEntryView.cpp	2012-05-07 22:28:17 +0000
@@ -33,7 +33,7 @@
 #include <time.h>
 #include <boost/algorithm/string.hpp>
 
-#include "CairoTexture.h"
+#include "unity-shared/CairoTexture.h"
 #include "PanelIndicatorEntryView.h"
 #include "unity-shared/PanelStyle.h"
 #include "unity-shared/WindowManager.h"

=== modified file 'panel/PanelMenuView.cpp'
--- panel/PanelMenuView.cpp	2012-05-07 00:49:31 +0000
+++ panel/PanelMenuView.cpp	2012-05-07 22:28:17 +0000
@@ -21,7 +21,7 @@
 #include <Nux/Nux.h>
 #include <NuxCore/Logger.h>
 
-#include "CairoTexture.h"
+#include "unity-shared/CairoTexture.h"
 #include "PanelMenuView.h"
 #include "unity-shared/PanelStyle.h"
 #include "unity-shared/DashSettings.h"

=== modified file 'plugins/unityshell/CMakeLists.txt'
--- plugins/unityshell/CMakeLists.txt	2011-08-10 22:57:25 +0000
+++ plugins/unityshell/CMakeLists.txt	2012-05-07 22:28:17 +0000
@@ -5,11 +5,11 @@
 compiz_plugin (unityshell
                PKGDEPS ${UNITY_PLUGIN_DEPS}
                PLUGINDEPS composite opengl compiztoolbox
-               CFLAGSADD "-DINSTALLPREFIX='\"${CMAKE_INSTALL_PREFIX}\"' -DPKGDATADIR='\"${PKGDATADIR}\"' -I${CMAKE_BINARY_DIR} -I${CMAKE_SOURCE_DIR} ${BOOT_LOGGER_FLAG} -DGETTEXT_PACKAGE='\"unity\"' ${MAINTAINER_CFLAGS}"
-               LIBRARIES "-lunity-core-${UNITY_API_VERSION}"
+               CFLAGSADD "-DINSTALLPREFIX='\"${CMAKE_INSTALL_PREFIX}\"' -DPKGDATADIR='\"${PKGDATADIR}\"' -I${CMAKE_BINARY_DIR} -I${CMAKE_SOURCE_DIR} ${BOOT_LOGGER_FLAG} -DGETTEXT_PACKAGE='\"unity\"' ${MAINTAINER_CFLAGS} -I${CMAKE_SOURCE_DIR}/dash/ -I${CMAKE_SOURCE_DIR}/launcher/ -I${CMAKE_SOURCE_DIR}/hud/ -I${CMAKE_SOURCE_DIR}/panel/ -I${CMAKE_SOURCE_DIR}/shortcuts/ -I${CMAKE_SOURCE_DIR}/unity-shared/"
                LIBDIRS "${CMAKE_BINARY_DIR}/UnityCore"
                )
-add_dependencies(unityshell unity-core-${UNITY_API_VERSION})
+add_dependencies(unityshell unity-core-${UNITY_API_VERSION} dash-lib launcher-lib switcher-lib hud-lib panel-lib shortcuts-lib unity-shared)
+target_link_libraries(unityshell unity-core-${UNITY_API_VERSION} launcher-lib dash-lib switcher-lib hud-lib panel-lib shortcuts-lib unity-shared)
 
 #
 # Data

=== modified file 'po/POTFILES.in'
--- po/POTFILES.in	2012-03-21 12:31:11 +0000
+++ po/POTFILES.in	2012-05-07 22:28:17 +0000
@@ -1,37 +1,37 @@
+dash/DashView.cpp
+dash/FilterAllButton.cpp
+dash/FilterExpanderLabel.cpp
+dash/FilterGenreWidget.cpp
+dash/FilterMultiRangeWidget.cpp
+dash/FilterRatingsWidget.cpp
+dash/LensView.cpp
+dash/PlacesGroup.cpp
+dash/PreviewMusic.cpp
+dash/PreviewMusicTrack.cpp
+hud/HudController.cpp
+hud/HudView.cpp
+launcher/BFBLauncherIcon.cpp
+launcher/BamfLauncherIcon.cpp
+launcher/DesktopLauncherIcon.cpp
+launcher/DeviceLauncherIcon.cpp
+launcher/LauncherController.cpp
+launcher/SoftwareCenterLauncherIcon.cpp
+launcher/SpacerLauncherIcon.cpp
+launcher/TrashLauncherIcon.cpp
+panel/PanelMenuView.cpp
 plugins/gtkloader/gtkloader.xml.in
 plugins/networkarearegion/networkarearegion.xml.in
+plugins/unity-mt-grab-handles/unitymtgrabhandles.xml.in
 plugins/unitydialog/unitydialog.xml.in
-plugins/unity-mt-grab-handles/unitymtgrabhandles.xml.in
-plugins/unityshell/src/BamfLauncherIcon.cpp
-plugins/unityshell/src/BFBLauncherIcon.cpp
-plugins/unityshell/src/DashStyle.cpp
-plugins/unityshell/src/DashView.cpp
-plugins/unityshell/src/DesktopLauncherIcon.cpp
-plugins/unityshell/src/DeviceLauncherIcon.cpp
-plugins/unityshell/src/FilterAllButton.cpp
-plugins/unityshell/src/FilterExpanderLabel.cpp
-plugins/unityshell/src/FilterGenreWidget.cpp
-plugins/unityshell/src/FilterMultiRangeWidget.cpp
-plugins/unityshell/src/FilterRatingsWidget.cpp
-plugins/unityshell/src/HudController.cpp
-plugins/unityshell/src/HudView.cpp
-plugins/unityshell/src/LauncherController.cpp
-plugins/unityshell/src/LensView.cpp
-plugins/unityshell/src/PanelMenuView.cpp
-plugins/unityshell/src/PlacesGroup.cpp
-plugins/unityshell/src/PreviewMusic.cpp
-plugins/unityshell/src/PreviewMusicTrack.cpp
-plugins/unityshell/src/SearchBar.cpp
-plugins/unityshell/src/ShortcutHintPrivate.cpp
-plugins/unityshell/src/ShortcutView.cpp
-plugins/unityshell/src/SoftwareCenterLauncherIcon.cpp
-plugins/unityshell/src/SpacerLauncherIcon.cpp
-plugins/unityshell/src/TrashLauncherIcon.cpp
 plugins/unityshell/src/unity-dash-view-accessible.cpp
 plugins/unityshell/src/unity-launcher-accessible.cpp
 plugins/unityshell/src/unity-quicklist-menu-accessible.cpp
 plugins/unityshell/src/unity-search-bar-accessible.cpp
+plugins/unityshell/src/unity-switcher-accessible.cpp
 plugins/unityshell/src/unityshell.cpp
-plugins/unityshell/src/unity-switcher-accessible.cpp
 plugins/unityshell/unityshell.xml.in
+shortcuts/ShortcutHintPrivate.cpp
+shortcuts/ShortcutView.cpp
+unity-shared/DashStyle.cpp
+unity-shared/SearchBar.cpp
 

=== modified file 'po/ar.po'
--- po/ar.po	2012-03-14 06:24:18 +0000
+++ po/ar.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Arabic\n"
@@ -16,16 +16,56 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -37,88 +77,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "إبقاء في برنامج Launcher"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "حذف من برنامج Launcher"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "إنهاء"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "حذف من برنامج Launcher"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "حذف من برنامج Launcher"
+#~ msgid "Keep in launcher"
+#~ msgstr "إبقاء في برنامج Launcher"

=== modified file 'po/bg.po'
--- po/bg.po	2012-03-14 06:24:18 +0000
+++ po/bg.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Bulgarian\n"
@@ -16,16 +16,56 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -37,88 +77,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "Остави в програмата за стартиране"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "Премахни от програмата за стартиране"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "Излез"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "Премахни от програмата за стартиране"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "Премахни от програмата за стартиране"
+#~ msgid "Keep in launcher"
+#~ msgstr "Остави в програмата за стартиране"

=== modified file 'po/cs.po'
--- po/cs.po	2012-03-14 06:24:18 +0000
+++ po/cs.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Czech\n"
@@ -17,16 +17,56 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=3; plural=(n==1) ? 0 : (n>=2 && n<=4) ? 1 : 2;\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -38,88 +78,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "Ponechat ve Spouštěči"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "Odebrat ze Spouštěče"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "Konec"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "Odebrat ze Spouštěče"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "Odebrat ze Spouštěče"
+#~ msgid "Keep in launcher"
+#~ msgstr "Ponechat ve Spouštěči"

=== modified file 'po/da.po'
--- po/da.po	2012-03-14 06:24:18 +0000
+++ po/da.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Danish\n"
@@ -17,16 +17,56 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -38,88 +78,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "Behold i Launcher"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "Fjern fra Launcher"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "Afslut"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "Fjern fra Launcher"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "Fjern fra Launcher"
+#~ msgid "Keep in launcher"
+#~ msgstr "Behold i Launcher"

=== modified file 'po/de.po'
--- po/de.po	2012-03-14 06:24:18 +0000
+++ po/de.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: German\n"
@@ -17,16 +17,56 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -38,88 +78,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "Im Startprogramm behalten"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "Aus Startprogramm entfernen"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "Beenden"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "Aus Startprogramm entfernen"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "Aus Startprogramm entfernen"
+#~ msgid "Keep in launcher"
+#~ msgstr "Im Startprogramm behalten"

=== modified file 'po/el.po'
--- po/el.po	2012-03-14 06:24:18 +0000
+++ po/el.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Greek\n"
@@ -17,16 +17,56 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -38,88 +78,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "Διατήρηση στο πρόγραμμα εκκίνησης"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "Κατάργηση από το πρόγραμμα εκκίνησης"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "Κλείσιμο"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "Κατάργηση από το πρόγραμμα εκκίνησης"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "Κατάργηση από το πρόγραμμα εκκίνησης"
+#~ msgid "Keep in launcher"
+#~ msgstr "Διατήρηση στο πρόγραμμα εκκίνησης"

=== modified file 'po/es.po'
--- po/es.po	2012-03-14 06:24:18 +0000
+++ po/es.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Spanish\n"
@@ -17,16 +17,56 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -38,88 +78,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "Conservar en el iniciador"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "Quitar del iniciador"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "Salir"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "Quitar del iniciador"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "Quitar del iniciador"
+#~ msgid "Keep in launcher"
+#~ msgstr "Conservar en el iniciador"

=== modified file 'po/fi.po'
--- po/fi.po	2012-03-14 06:24:18 +0000
+++ po/fi.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Finnish\n"
@@ -17,16 +17,56 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -38,88 +78,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "Pidä Launcherissa"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "Poista Launcherista"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "Lopeta"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "Poista Launcherista"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "Poista Launcherista"
+#~ msgid "Keep in launcher"
+#~ msgstr "Pidä Launcherissa"

=== modified file 'po/fr.po'
--- po/fr.po	2012-03-14 06:24:18 +0000
+++ po/fr.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: French\n"
@@ -17,16 +17,56 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -38,88 +78,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "Conserver dans le lanceur"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "Supprimer du lanceur"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "Quitter"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "Supprimer du lanceur"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "Supprimer du lanceur"
+#~ msgid "Keep in launcher"
+#~ msgstr "Conserver dans le lanceur"

=== modified file 'po/he.po'
--- po/he.po	2012-03-14 06:24:18 +0000
+++ po/he.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Hebrew\n"
@@ -17,16 +17,56 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -38,88 +78,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "שמור ב- Launcher"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "מהסר מ- Launcher"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "יציאה"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "מהסר מ- Launcher"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "מהסר מ- Launcher"
+#~ msgid "Keep in launcher"
+#~ msgstr "שמור ב- Launcher"

=== modified file 'po/hi.po'
--- po/hi.po	2012-03-14 06:24:18 +0000
+++ po/hi.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Hindi\n"
@@ -16,16 +16,56 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -37,88 +77,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "लॉन्चर में रखें"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "लॉन्चर से निकालें"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "छोड़ें"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "लॉन्चर से निकालें"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "लॉन्चर से निकालें"
+#~ msgid "Keep in launcher"
+#~ msgstr "लॉन्चर में रखें"

=== modified file 'po/hr.po'
--- po/hr.po	2012-03-14 06:24:18 +0000
+++ po/hr.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Croatian\n"
@@ -18,16 +18,56 @@
 "Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n"
 "%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -39,88 +79,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "Zadrži u programu za pokretanje"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "Ukloni iz programa za pokretanje"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "Izlaz"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "Ukloni iz programa za pokretanje"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "Ukloni iz programa za pokretanje"
+#~ msgid "Keep in launcher"
+#~ msgstr "Zadrži u programu za pokretanje"

=== modified file 'po/hu.po'
--- po/hu.po	2012-03-14 06:24:18 +0000
+++ po/hu.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Hungarian\n"
@@ -17,16 +17,56 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -38,88 +78,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "Megtartás a Launcherben"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "Eltávolítás a Launcherből"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "Kilépés"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "Eltávolítás a Launcherből"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "Eltávolítás a Launcherből"
+#~ msgid "Keep in launcher"
+#~ msgstr "Megtartás a Launcherben"

=== modified file 'po/it.po'
--- po/it.po	2012-03-14 06:24:18 +0000
+++ po/it.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Italian\n"
@@ -17,16 +17,56 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -38,88 +78,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "Mantieni in Launcher"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "Rimuovi da Launcher"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "Esci"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "Rimuovi da Launcher"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "Rimuovi da Launcher"
+#~ msgid "Keep in launcher"
+#~ msgstr "Mantieni in Launcher"

=== modified file 'po/ja.po'
--- po/ja.po	2012-03-14 06:24:18 +0000
+++ po/ja.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Japanese\n"
@@ -17,16 +17,56 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -38,88 +78,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "Launcher に残す"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "Launcher から削除"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "中止"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "Launcher から削除"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "Launcher から削除"
+#~ msgid "Keep in launcher"
+#~ msgstr "Launcher に残す"

=== modified file 'po/ko.po'
--- po/ko.po	2012-03-14 06:24:18 +0000
+++ po/ko.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Korean\n"
@@ -17,16 +17,56 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -38,88 +78,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "시작 관리자에 유지"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "시작 관리자에서 제거"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "끝내기"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "시작 관리자에서 제거"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "시작 관리자에서 제거"
+#~ msgid "Keep in launcher"
+#~ msgstr "시작 관리자에 유지"

=== modified file 'po/nb.po'
--- po/nb.po	2012-03-14 06:24:18 +0000
+++ po/nb.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Norwegian Bokmal\n"
@@ -17,16 +17,56 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -38,88 +78,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "Behold i oppstartsprogram"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "Fjern fra oppstartsprogram"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "Avslutt"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "Fjern fra oppstartsprogram"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "Fjern fra oppstartsprogram"
+#~ msgid "Keep in launcher"
+#~ msgstr "Behold i oppstartsprogram"

=== modified file 'po/nl.po'
--- po/nl.po	2012-03-14 06:24:18 +0000
+++ po/nl.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Dutch\n"
@@ -17,16 +17,56 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -38,88 +78,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "Bewaren in starter"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "Verwijderen uit starter"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "Afsluiten"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "Verwijderen uit starter"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "Verwijderen uit starter"
+#~ msgid "Keep in launcher"
+#~ msgstr "Bewaren in starter"

=== modified file 'po/pl.po'
--- po/pl.po	2012-03-14 06:24:18 +0000
+++ po/pl.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Polish\n"
@@ -18,16 +18,56 @@
 "Plural-Forms: nplurals=3; plural=(n==1 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 "
 "|| n%100>=20) ? 1 : 2);\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -39,88 +79,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "Pozostaw w obszarze uruchamiania"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "Usuń z obszaru uruchamiania"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "Zamknij"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "Usuń z obszaru uruchamiania"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "Usuń z obszaru uruchamiania"
+#~ msgid "Keep in launcher"
+#~ msgstr "Pozostaw w obszarze uruchamiania"

=== modified file 'po/pt.po'
--- po/pt.po	2012-03-14 06:24:18 +0000
+++ po/pt.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Portuguese\n"
@@ -17,16 +17,56 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -38,88 +78,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "Manter no Launcher"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "Remover do Launcher"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "Abandonar"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "Remover do Launcher"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "Remover do Launcher"
+#~ msgid "Keep in launcher"
+#~ msgstr "Manter no Launcher"

=== modified file 'po/pt_BR.po'
--- po/pt_BR.po	2012-03-14 06:24:18 +0000
+++ po/pt_BR.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Brazilian Portuguese\n"
@@ -17,16 +17,56 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -38,88 +78,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "Manter no Inicializador"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "Remover do Inicializador"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "Sair"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "Remover do Inicializador"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "Remover do Inicializador"
+#~ msgid "Keep in launcher"
+#~ msgstr "Manter no Inicializador"

=== modified file 'po/ro.po'
--- po/ro.po	2012-03-14 06:24:18 +0000
+++ po/ro.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Romanian\n"
@@ -18,16 +18,56 @@
 "Plural-Forms: nplurals=3; plural=n==1 ? 0 : (n==0 || (n%100 > 0 && n%100 < "
 "20)) ? 1 : 2;\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -39,88 +79,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "Păstrează în programul de lansare"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "Îndepărtează din programul de lansare"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "Ieşire"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "Îndepărtează din programul de lansare"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "Îndepărtează din programul de lansare"
+#~ msgid "Keep in launcher"
+#~ msgstr "Păstrează în programul de lansare"

=== modified file 'po/ru.po'
--- po/ru.po	2012-03-14 06:24:18 +0000
+++ po/ru.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Russian\n"
@@ -18,16 +18,56 @@
 "Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n"
 "%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -39,88 +79,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "Оставить в модуле запуска"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "Удалить из модуля запуска"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "Выход"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "Удалить из модуля запуска"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "Удалить из модуля запуска"
+#~ msgid "Keep in launcher"
+#~ msgstr "Оставить в модуле запуска"

=== modified file 'po/sk.po'
--- po/sk.po	2012-03-14 06:24:18 +0000
+++ po/sk.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Slovak\n"
@@ -17,16 +17,56 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=3; plural=(n==1) ? 0 : (n>=2 && n<=4) ? 1 : 2;\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -38,88 +78,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "Ponechať v aplikácii Launcher"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "Odstrániť z aplikácie Launcher"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "Ukončiť"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "Odstrániť z aplikácie Launcher"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "Odstrániť z aplikácie Launcher"
+#~ msgid "Keep in launcher"
+#~ msgstr "Ponechať v aplikácii Launcher"

=== modified file 'po/sl.po'
--- po/sl.po	2012-03-14 06:24:18 +0000
+++ po/sl.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Slovenian\n"
@@ -18,16 +18,56 @@
 "Plural-Forms: nplurals=4; plural=(n%100==1 ? 0 : n%100==2 ? 1 : n%100==3 || n"
 "%100==4 ? 2 : 3);\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -39,88 +79,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "Obdrži v zaganjalniku"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "Odstrani iz zaganjalnika"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "Končaj"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "Odstrani iz zaganjalnika"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "Odstrani iz zaganjalnika"
+#~ msgid "Keep in launcher"
+#~ msgstr "Obdrži v zaganjalniku"

=== modified file 'po/sr.po'
--- po/sr.po	2012-03-14 06:24:18 +0000
+++ po/sr.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Serbian\n"
@@ -18,16 +18,56 @@
 "Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n"
 "%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -39,88 +79,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "Zadrži u pokretaču"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "Ukloni iz pokretača"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "Napusti"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "Ukloni iz pokretača"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "Ukloni iz pokretača"
+#~ msgid "Keep in launcher"
+#~ msgstr "Zadrži u pokretaču"

=== modified file 'po/sv.po'
--- po/sv.po	2012-03-14 06:24:18 +0000
+++ po/sv.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Swedish\n"
@@ -17,16 +17,56 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -38,88 +78,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "Behåll i startprogram"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "Ta bort från startprogram"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "Avsluta"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "Ta bort från startprogram"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "Ta bort från startprogram"
+#~ msgid "Keep in launcher"
+#~ msgstr "Behåll i startprogram"

=== modified file 'po/th.po'
--- po/th.po	2012-03-14 06:24:18 +0000
+++ po/th.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:37-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Thai\n"
@@ -16,16 +16,56 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -37,88 +77,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "อยู่ในโปรแกรมเรียกทำงาน"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "ออกจากโปรแกรมเรียกทำงาน"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "จบการทำงาน"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "ออกจากโปรแกรมเรียกทำงาน"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "ออกจากโปรแกรมเรียกทำงาน"
+#~ msgid "Keep in launcher"
+#~ msgstr "อยู่ในโปรแกรมเรียกทำงาน"

=== modified file 'po/tr.po'
--- po/tr.po	2012-03-14 06:24:18 +0000
+++ po/tr.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:37-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Turkish\n"
@@ -17,16 +17,56 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -38,88 +78,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "Başlatıcıda Tut"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "Başlatıcıdan Kaldır"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "Çık"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "Başlatıcıdan Kaldır"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "Başlatıcıdan Kaldır"
+#~ msgid "Keep in launcher"
+#~ msgstr "Başlatıcıda Tut"

=== modified file 'po/unity.pot'
--- po/unity.pot	2012-02-23 10:42:43 +0000
+++ po/unity.pot	2012-05-07 22:28:17 +0000
@@ -8,7 +8,7 @@
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-08-23 20:58-0400\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -17,15 +17,64 @@
 "Content-Type: text/plain; charset=CHARSET\n"
 "Content-Transfer-Encoding: 8bit\n"
 
-msgid "Keep in launcher"
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Search"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Multi-range"
+msgstr ""
+
+msgid "Rating"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "See fewer results"
+msgstr ""
+
+msgid "Tracks"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
+msgid "Type your command"
+msgstr ""
+
+msgid "Dash Home"
+msgstr ""
+
+msgid "Lock to Launcher"
+msgstr ""
+
+msgid "Unlock from Launcher"
 msgstr ""
 
 msgid "Quit"
 msgstr ""
 
+msgid "Show Desktop"
+msgstr ""
+
 msgid "Open"
 msgstr ""
 
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
 msgid "Eject"
 msgstr ""
 
@@ -47,46 +96,7 @@
 msgid "Workspace Switcher"
 msgstr ""
 
-msgid "Search"
-msgstr ""
-
-msgid "Search across all places"
-msgstr ""
-
-msgid "See fewer results"
-msgstr ""
-
-msgid "Shortcuts"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
-msgstr ""
-
-msgid "Check Email"
-msgstr ""
-
-msgid "Listen to Music"
+msgid "Waiting to install"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -98,23 +108,186 @@
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Empty Trash"
-msgstr ""
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "Pushes the left edge of the screen"
-msgstr ""
-
-msgid "Touches the top left corner of the screen"
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Quicklist"
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid " (Press)"
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Enter & Return"
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Switching
+msgid "Switching"
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+#. Windows
+msgid "Windows"
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Left Mouse"
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+msgid "Filter results"
 msgstr ""

=== modified file 'po/zh_CN.po'
--- po/zh_CN.po	2012-03-14 06:24:18 +0000
+++ po/zh_CN.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:37-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Chinese (simplified)\n"
@@ -16,16 +16,56 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -37,88 +77,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "保留在启动程序中"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "从启动程序中删除"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "退出"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "从启动程序中删除"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "从启动程序中删除"
+#~ msgid "Keep in launcher"
+#~ msgstr "保留在启动程序中"

=== modified file 'po/zh_TW.po'
--- po/zh_TW.po	2012-03-14 06:24:18 +0000
+++ po/zh_TW.po	2012-05-07 22:28:17 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-07-29 16:39+0200\n"
+"POT-Creation-Date: 2012-05-07 15:22-0700\n"
 "PO-Revision-Date: 2010-03-02 12:37-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Chinese (traditional)\n"
@@ -16,16 +16,56 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 
-msgid "<b>Show the launcher when the pointer:</b>"
-msgstr ""
-
-msgid "All items in the Trash will be permanently deleted."
-msgstr ""
-
-msgid "Browse the Web"
-msgstr ""
-
-msgid "Check Email"
+msgid " (Press)"
+msgstr ""
+
+msgid " (Tap)"
+msgstr ""
+
+msgid " + 1 to 9"
+msgstr ""
+
+msgid " + Cursor Keys"
+msgstr ""
+
+msgid " + Shift + 1 to 9"
+msgstr ""
+
+msgid " Drag"
+msgstr ""
+
+msgid " or Right"
+msgstr ""
+
+msgid "All"
+msgstr ""
+
+msgid "Alt + Space"
+msgstr ""
+
+msgid "Categories"
+msgstr ""
+
+msgid "Closes current window."
+msgstr ""
+
+msgid "Ctrl + Alt + Num"
+msgstr ""
+
+msgid "Ctrl + Tab"
+msgstr ""
+
+msgid "Cursor Keys"
+msgstr ""
+
+msgid "Cursor Left or Right"
+msgstr ""
+
+#. Dash...
+msgid "Dash"
+msgstr ""
+
+msgid "Dash Home"
 msgstr ""
 
 msgid "Drop To Add Application"
@@ -37,88 +77,222 @@
 msgid "Eject parent drive"
 msgstr ""
 
-msgid "Empty Trash"
-msgstr ""
-
 msgid "Empty Trash..."
 msgstr ""
 
-msgid "Empty all items from Trash?"
-msgstr ""
-
-#. Find Files
-msgid "Find Files"
-msgstr ""
-
-#. Internet Apps
-msgid "Internet Apps"
+msgid "Enter & Return"
+msgstr ""
+
+msgid "Filter results"
+msgstr ""
+
+#. TRANSLATORS: This refers to the action of formatting a device
+msgid "Format..."
+msgstr ""
+
+#. Menu Bar
+msgid "HUD & Menu Bar"
+msgstr ""
+
+msgid "Home"
+msgstr ""
+
+msgid "Home screen"
+msgstr ""
+
+msgid "Keyboard Shortcuts"
+msgstr ""
+
+#. TODO move category text into a vector...
+#. Launcher...
+msgid "Launcher"
+msgstr ""
+
+msgid "Left Mouse"
 msgstr ""
 
 #, fuzzy
-msgid "Keep in launcher"
-msgstr "保留在啟動程式中"
-
-msgid "Launcher & Menus"
-msgstr ""
-
-msgid "Listen to Music"
-msgstr ""
-
-#. Media Apps
-msgid "Media Apps"
-msgstr ""
-
-#. More Apps
-msgid "More Apps"
+msgid "Lock to Launcher"
+msgstr "從啟動程式中刪除"
+
+msgid "Maximises the current window."
+msgstr ""
+
+msgid "Middle Mouse"
+msgstr ""
+
+msgid "Minimises all windows."
+msgstr ""
+
+msgid "Move focused window to different workspace."
+msgstr ""
+
+msgid "Move window."
+msgstr ""
+
+msgid "Moves focus between indicators."
+msgstr ""
+
+msgid "Moves the focus."
+msgstr ""
+
+msgid "Multi-range"
 msgstr ""
 
 msgid "Open"
 msgstr ""
 
-msgid "Pushes the left edge of the screen"
+msgid "Open Launcher keyboard navigation mode."
+msgstr ""
+
+msgid "Open Launcher, displays shortcuts."
+msgstr ""
+
+msgid "Open currently focused item."
+msgstr ""
+
+msgid "Open new window of the app."
+msgstr ""
+
+msgid "Open the Dash App Lens."
+msgstr ""
+
+msgid "Open the Dash Files Lens."
+msgstr ""
+
+msgid "Open the Dash Home."
+msgstr ""
+
+msgid "Open the Dash Music Lens."
+msgstr ""
+
+msgid "Open the HUD."
+msgstr ""
+
+msgid "Open the Trash."
+msgstr ""
+
+msgid "Opens the indicator menu."
+msgstr ""
+
+msgid "Opens window accessibility menu."
+msgstr ""
+
+msgid "Places window in corresponding positions."
+msgstr ""
+
+msgid "Quicklist"
 msgstr ""
 
 msgid "Quit"
 msgstr "結束"
 
+msgid "Rating"
+msgstr ""
+
+msgid "Resize window."
+msgstr ""
+
+msgid "Restores or minimises current window."
+msgstr ""
+
+msgid "Reveals application menu."
+msgstr ""
+
+msgid "Right Mouse"
+msgstr ""
+
 msgid "Safely remove"
 msgstr ""
 
 msgid "Safely remove parent drive"
 msgstr ""
 
+msgid "Same as clicking on a Launcher icon."
+msgstr ""
+
 msgid "Search"
 msgstr ""
 
-msgid "Search across all places"
-msgstr ""
-
 msgid "See fewer results"
 msgstr ""
 
-msgid "Shortcuts"
+msgid "Semi-maximises current window."
+msgstr ""
+
+msgid "Show Desktop"
+msgstr ""
+
+msgid "Sorry, there is nothing that matches your search."
+msgstr ""
+
+msgid "Spread workspaces."
+msgstr ""
+
+msgid "Spreads all windows in the current workspace."
+msgstr ""
+
+msgid "Switch applications via Launcher."
+msgstr ""
+
+msgid "Switch between applications."
+msgstr ""
+
+msgid "Switch windows of current application."
+msgstr ""
+
+msgid "Switch workspaces."
+msgstr ""
+
+msgid "Switcher"
+msgstr ""
+
+msgid "Switches between Lenses."
+msgstr ""
+
+#. Switching
+msgid "Switching"
 msgstr ""
 
 msgid "The drive has been successfully ejected"
 msgstr ""
 
-msgid "Touches the top left corner of the screen"
+msgid "Tracks"
 msgstr ""
 
 msgid "Trash"
 msgstr ""
 
+msgid "Type your command"
+msgstr ""
+
+msgid "Ubuntu Desktop"
+msgstr ""
+
+#, fuzzy
+msgid "Unlock from Launcher"
+msgstr "從啟動程式中刪除"
+
 msgid "Unmount"
 msgstr ""
 
-#. Photos
-#. FIXME: Need to figure out the default
-msgid "View Photos"
+msgid "Waiting to install"
+msgstr ""
+
+#. Windows
+msgid "Windows"
 msgstr ""
 
 msgid "Workspace Switcher"
 msgstr ""
 
+#. Workspaces
+msgid "Workspaces"
+msgstr ""
+
+msgid "min"
+msgstr ""
+
 #, fuzzy
-#~ msgid "Remove from launcher"
-#~ msgstr "從啟動程式中刪除"
+#~ msgid "Keep in launcher"
+#~ msgstr "保留在啟動程式中"

=== added directory 'shortcuts'
=== renamed file 'plugins/unityshell/src/AbstractShortcutHint.h' => 'shortcuts/AbstractShortcutHint.h'
=== renamed file 'plugins/unityshell/src/MockShortcutHint.h' => 'shortcuts/MockShortcutHint.h'
=== renamed file 'plugins/unityshell/src/ShortcutController.cpp' => 'shortcuts/ShortcutController.cpp'
--- plugins/unityshell/src/ShortcutController.cpp	2012-04-10 22:11:19 +0000
+++ shortcuts/ShortcutController.cpp	2012-05-07 22:28:17 +0000
@@ -18,8 +18,8 @@
 
 #include "ShortcutController.h"
 
-#include "UBusMessages.h"
-#include "WindowManager.h"
+#include "unity-shared/UBusMessages.h"
+#include "unity-shared/WindowManager.h"
 
 namespace unity
 {

=== renamed file 'plugins/unityshell/src/ShortcutController.h' => 'shortcuts/ShortcutController.h'
--- plugins/unityshell/src/ShortcutController.h	2012-04-10 22:11:19 +0000
+++ shortcuts/ShortcutController.h	2012-05-07 22:28:17 +0000
@@ -27,11 +27,11 @@
 #include <NuxCore/Color.h>
 #include <UnityCore/Variant.h>
 
-#include "Animator.h"
-#include "Introspectable.h"
+#include "unity-shared/Animator.h"
+#include "unity-shared/Introspectable.h"
 #include "ShortcutModel.h"
 #include "ShortcutView.h"
-#include "UBusWrapper.h"
+#include "unity-shared/UBusWrapper.h"
 
 namespace unity
 {

=== renamed file 'plugins/unityshell/src/ShortcutHint.cpp' => 'shortcuts/ShortcutHint.cpp'
=== renamed file 'plugins/unityshell/src/ShortcutHint.h' => 'shortcuts/ShortcutHint.h'
=== renamed file 'plugins/unityshell/src/ShortcutHintPrivate.cpp' => 'shortcuts/ShortcutHintPrivate.cpp'
=== renamed file 'plugins/unityshell/src/ShortcutHintPrivate.h' => 'shortcuts/ShortcutHintPrivate.h'
=== renamed file 'plugins/unityshell/src/ShortcutModel.cpp' => 'shortcuts/ShortcutModel.cpp'
=== renamed file 'plugins/unityshell/src/ShortcutModel.h' => 'shortcuts/ShortcutModel.h'
=== renamed file 'plugins/unityshell/src/ShortcutView.cpp' => 'shortcuts/ShortcutView.cpp'
--- plugins/unityshell/src/ShortcutView.cpp	2012-04-10 22:11:19 +0000
+++ shortcuts/ShortcutView.cpp	2012-05-07 22:28:17 +0000
@@ -23,9 +23,9 @@
 #include <boost/algorithm/string.hpp>
 #include <UnityCore/GLibWrapper.h>
 
-#include "LineSeparator.h"
-#include "StaticCairoText.h"
-#include "UScreen.h"
+#include "unity-shared/LineSeparator.h"
+#include "unity-shared/StaticCairoText.h"
+#include "unity-shared/UScreen.h"
 
 namespace unity
 {

=== renamed file 'plugins/unityshell/src/ShortcutView.h' => 'shortcuts/ShortcutView.h'
--- plugins/unityshell/src/ShortcutView.h	2012-04-10 22:11:19 +0000
+++ shortcuts/ShortcutView.h	2012-05-07 22:28:17 +0000
@@ -28,8 +28,8 @@
 #include <Nux/View.h>
 #include <Nux/VLayout.h>
 
-#include "UnityWindowView.h"
-#include "BackgroundEffectHelper.h"
+#include "unity-shared/UnityWindowView.h"
+#include "unity-shared/BackgroundEffectHelper.h"
 #include "ShortcutModel.h"
 
 namespace unity

=== renamed file 'standalone-clients/TestShortcut.cpp' => 'shortcuts/StandaloneShortcuts.cpp'
--- standalone-clients/TestShortcut.cpp	2012-03-14 06:24:18 +0000
+++ shortcuts/StandaloneShortcuts.cpp	2012-05-07 22:28:17 +0000
@@ -23,7 +23,7 @@
 #include <Nux/Nux.h>
 #include <Nux/WindowThread.h>
 
-#include "BackgroundEffectHelper.h"
+#include "unity-shared/BackgroundEffectHelper.h"
 #include "MockShortcutHint.h"
 #include "ShortcutController.h"
 
@@ -33,71 +33,67 @@
 
 void ThreadWidgetInit(nux::NThread* thread, void* InitData)
 {
-  std::list<shortcut::AbstractHint*> hints;
+  std::list<std::shared_ptr<shortcut::AbstractHint>> hints;
   
   // Launcher...
-  hints.push_back(new shortcut::MockHint(_("Launcher"), "", _(" (Press)"), _("Open Launcher, displays shortcuts."), shortcut::COMPIZ_KEY_OPTION, "unityshell", "show_launcher" ));
-  hints.push_back(new shortcut::MockHint(_("Launcher"), "", "", _("Open Launcher keyboard navigation mode."), shortcut::COMPIZ_KEY_OPTION, "unityshell", "keyboard_focus"));
-  // FIXME: Implement it...
-  hints.push_back(new shortcut::MockHint(_("Launcher"), "", "", _("Switch application via Launcher."), shortcut::HARDCODED_OPTION, "Super + Tab"));
-  hints.push_back(new shortcut::MockHint(_("Launcher"), "", _(" + 1 to 9"), _("Same as clicking on a Launcher icon."), shortcut::COMPIZ_KEY_OPTION, "unityshell", "show_launcher"));
-  hints.push_back(new shortcut::MockHint(_("Launcher"), "", _(" + Shift + 1 to 9"), _("Open a new window of the app."), shortcut::COMPIZ_KEY_OPTION, "unityshell", "show_launcher"));
-  hints.push_back(new shortcut::MockHint(_("Launcher"), "", " + T", _("Open the Trash."), shortcut::COMPIZ_KEY_OPTION, "unityshell", "show_launcher")); 
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Launcher"), "", _(" (Press)"), _("Open Launcher, displays shortcuts."), shortcut::COMPIZ_KEY_OPTION, "unityshell", "show_launcher" )));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Launcher"), "", "", _("Open Launcher keyboard navigation mode."), shortcut::COMPIZ_KEY_OPTION, "unityshell", "keyboard_focus")));
+  // FIXME: Implemstd::shared_ptr<shortcut::AbstractHint>(ent it...
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Launcher"), "", "", _("Switch application via Launcher."), shortcut::HARDCODED_OPTION, "Super + Tab")));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Launcher"), "", _(" + 1 to 9"), _("Same as clicking on a Launcher icon."), shortcut::COMPIZ_KEY_OPTION, "unityshell", "show_launcher")));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Launcher"), "", _(" + Shift + 1 to 9"), _("Open a new window of the app."), shortcut::COMPIZ_KEY_OPTION, "unityshell", "show_launcher")));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Launcher"), "", " + T", _("Open the Trash."), shortcut::COMPIZ_KEY_OPTION, "unityshell", "show_launcher"))); 
 
   // Dash...
-  hints.push_back(new shortcut::MockHint(_("Dash"), "", _(" (Tap)"), _("Open the Dash Home."), shortcut::COMPIZ_KEY_OPTION, "unityshell", "show_launcher"));
-  // These are not really hardcoded...
-  hints.push_back(new shortcut::MockHint(_("Dash"), "", " + A", _("Open the Dash App Lens."), shortcut::COMPIZ_KEY_OPTION, "unityshell", "show_launcher"));
-  hints.push_back(new shortcut::MockHint(_("Dash"), "", " + F", _("Open the Dash Files Lens."), shortcut::COMPIZ_KEY_OPTION,"unityshell", "show_launcher"));
-  hints.push_back(new shortcut::MockHint(_("Dash"), "", " + M", _("Open the Dash Music Lens."), shortcut::COMPIZ_KEY_OPTION, "unityshell", "show_launcher"));
-  hints.push_back(new shortcut::MockHint(_("Dash"), "", "", _("Switches between Lenses."), shortcut::HARDCODED_OPTION, "Ctrl + Tab"));
-  hints.push_back(new shortcut::MockHint(_("Dash"), "", "", _("Moves the focus."), shortcut::HARDCODED_OPTION, _("Cursor Keys")));
-  hints.push_back(new shortcut::MockHint(_("Dash"), "", "", _("Open currently focused item."), shortcut::HARDCODED_OPTION, _("Enter / Return")));
-  hints.push_back(new shortcut::MockHint(_("Dash"), "", "", _("'Run Command' mode."), shortcut::COMPIZ_KEY_OPTION, "unityshell", "execute_command"));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Dash"), "", _(" (Tap)"), _("Open the Dash Home."), shortcut::COMPIZ_KEY_OPTION, "unityshell", "show_launcher")));
+  // These are notstd::shared_ptr<shortcut::AbstractHint>( really hardcoded...
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Dash"), "", " + A", _("Open the Dash App Lens."), shortcut::COMPIZ_KEY_OPTION, "unityshell", "show_launcher")));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Dash"), "", " + F", _("Open the Dash Files Lens."), shortcut::COMPIZ_KEY_OPTION,"unityshell", "show_launcher")));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Dash"), "", " + M", _("Open the Dash Music Lens."), shortcut::COMPIZ_KEY_OPTION, "unityshell", "show_launcher")));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Dash"), "", "", _("Switches between Lenses."), shortcut::HARDCODED_OPTION, "Ctrl + Tab")));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Dash"), "", "", _("Moves the focus."), shortcut::HARDCODED_OPTION, _("Cursor Keys"))));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Dash"), "", "", _("Open currently focused item."), shortcut::HARDCODED_OPTION, _("Enter / Return"))));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Dash"), "", "", _("'Run Command' mode."), shortcut::COMPIZ_KEY_OPTION, "unityshell", "execute_command")));
  
   // Menu Bar
-  // Is it really hard coded?
-  hints.push_back(new shortcut::MockHint(_("Menu Bar"), "", "", _("Reveals application menu."), shortcut::HARDCODED_OPTION, "Alt"));
-  hints.push_back(new shortcut::MockHint(_("Menu Bar"), "", "", _("Opens the indicator menu."), shortcut::COMPIZ_KEY_OPTION, "unityshell", "panel_first_menu"));
-  hints.push_back(new shortcut::MockHint(_("Menu Bar"), "", "", _("Moves focus between indicators."), shortcut::HARDCODED_OPTION, _("Cursor Left & Right")));
+  // Is it really std::shared_ptr<shortcut::AbstractHint>(hard coded?
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Menu Bar"), "", "", _("Reveals application menu."), shortcut::HARDCODED_OPTION, "Alt")));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Menu Bar"), "", "", _("Opens the indicator menu."), shortcut::COMPIZ_KEY_OPTION, "unityshell", "panel_first_menu")));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Menu Bar"), "", "", _("Moves focus between indicators."), shortcut::HARDCODED_OPTION, _("Cursor Left & Right"))));
 
   // Switching
-  hints.push_back(new shortcut::MockHint(_("Switching"), "", "", _("Switch between applications."), shortcut::COMPIZ_KEY_OPTION, "unityshell", "alt_tab_forward"));
-  hints.push_back(new shortcut::MockHint(_("Switching"), "", "", _("Switch windows of current application."), shortcut::COMPIZ_KEY_OPTION, "unityshell", "alt_tab_next_window"));
-  hints.push_back(new shortcut::MockHint(_("Switching"), "", "", _("Close window switch, return to app switch."), shortcut::COMPIZ_KEY_OPTION, "unityshell", "alt_tab_detail_stop"));
-  hints.push_back(new shortcut::MockHint(_("Switching"), "", "", _("Moves the foucs."), shortcut::HARDCODED_OPTION, _("Cursor Left & Right")));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Switching"), "", "", _("Switch between applications."), shortcut::COMPIZ_KEY_OPTION, "unityshell", "alt_tab_forward")));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Switching"), "", "", _("Switch windows of current application."), shortcut::COMPIZ_KEY_OPTION, "unityshell", "alt_tab_next_window")));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Switching"), "", "", _("Close window switch, return to app switch."), shortcut::COMPIZ_KEY_OPTION, "unityshell", "alt_tab_detail_stop")));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Switching"), "", "", _("Moves the foucs."), shortcut::HARDCODED_OPTION, _("Cursor Left & Right"))));
 
   // Workspaces
-  hints.push_back(new shortcut::MockHint(_("Workspaces"), "", "", _("Spread workspaces."), shortcut::COMPIZ_KEY_OPTION, "expo", "expo_key"));
-  hints.push_back(new shortcut::MockHint(_("Workspaces"), "", "", _("Switch workspaces."), shortcut::HARDCODED_OPTION, _("Cursor Keys")));
-  //hints.push_back(new shortcut::MockHint(_("Workspaces"), "", "", _("Move focused window to other workspace."), ...)
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Workspaces"), "", "", _("Spread workspaces."), shortcut::COMPIZ_KEY_OPTION, "expo", "expo_key")));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Workspaces"), "", "", _("Switch workspaces."), shortcut::HARDCODED_OPTION, _("Cursor Keys"))));
+  //hints.push_bacstd::shared_ptr<shortcut::AbstractHint>(k(new shortcut::MockHint(_("Workspaces"), "", "", _("Move focused window to other workspace."), ...)
 
   // Windows
-  hints.push_back(new shortcut::MockHint(_("Windows"), "", "", _("Spreads all windows in current workspace."), shortcut::COMPIZ_KEY_OPTION, "scale", "initiate_output_key"));
-  hints.push_back(new shortcut::MockHint(_("Windows"), "", "", _("Minimises all windows."), shortcut::COMPIZ_KEY_OPTION, "core", "show_desktop_key"));
-  // I don't know if it is really hardcoded, but I can't find where this option is stored.
-  hints.push_back(new shortcut::MockHint(_("Windows"), "", "", _("Open window accessibility menu."), shortcut::HARDCODED_OPTION, "Alt+Space"));
-  hints.push_back(new shortcut::MockHint(_("Windows"), "", "", _("Maximises current window."), shortcut::COMPIZ_KEY_OPTION, "core", "maximize_window_key"));
-  hints.push_back(new shortcut::MockHint(_("Windows"), "", "", _("Un-maximises current window."), shortcut::COMPIZ_KEY_OPTION, "core", "unmaximize_window_key"));
-  hints.push_back(new shortcut::MockHint(_("Windows"), "", "", _("Minimises current window."), shortcut::COMPIZ_KEY_OPTION, "core", "minimize_window_key"));
-  hints.push_back(new shortcut::MockHint(_("Windows"), "", "", _("Resizes current window."), shortcut::COMPIZ_KEY_OPTION, "resize", "initiate_key"));
-  hints.push_back(new shortcut::MockHint(_("Windows"), "", "", _("Closes current window."), shortcut::COMPIZ_KEY_OPTION, "core", "close_window_key"));
-  hints.push_back(new shortcut::MockHint(_("Windows"), "", "", _("Places window in corresponding positions."), shortcut::HARDCODED_OPTION, "Ctrl + Alt + Num"));
-  hints.push_back(new shortcut::MockHint(_("Windows"), "", "", _("Move window."), shortcut::COMPIZ_KEY_OPTION, "move", "initiate_key"));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Windows"), "", "", _("Spreads all windows in current workspace."), shortcut::COMPIZ_KEY_OPTION, "scale", "initiate_output_key")));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Windows"), "", "", _("Minimises all windows."), shortcut::COMPIZ_KEY_OPTION, "core", "show_desktop_key")));
+  // I don't know std::shared_ptr<shortcut::AbstractHint>(if it is really hardcoded, but I can't find where this option is stored.
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Windows"), "", "", _("Open window accessibility menu."), shortcut::HARDCODED_OPTION, "Alt+Space")));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Windows"), "", "", _("Maximises current window."), shortcut::COMPIZ_KEY_OPTION, "core", "maximize_window_key")));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Windows"), "", "", _("Un-maximises current window."), shortcut::COMPIZ_KEY_OPTION, "core", "unmaximize_window_key")));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Windows"), "", "", _("Minimises current window."), shortcut::COMPIZ_KEY_OPTION, "core", "minimize_window_key")));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Windows"), "", "", _("Resizes current window."), shortcut::COMPIZ_KEY_OPTION, "resize", "initiate_key")));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Windows"), "", "", _("Closes current window."), shortcut::COMPIZ_KEY_OPTION, "core", "close_window_key")));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Windows"), "", "", _("Places window in corresponding positions."), shortcut::HARDCODED_OPTION, "Ctrl + Alt + Num")));
+  hints.push_back(std::shared_ptr<shortcut::AbstractHint>(new shortcut::MockHint(_("Windows"), "", "", _("Move window."), shortcut::COMPIZ_KEY_OPTION, "move", "initiate_key")));
       
   controller.reset(new shortcut::Controller(hints));
-  controller->SetWorkspace(nux::Geometry(25, 17, 1200 - 50, 720 - 35));
   controller->Show();
 }
 
 int main(int argc, char** argv)
 {
   g_type_init();
-  //g_thread_init(NULL);
   gtk_init(&argc, &argv);
 
-  dbus_g_thread_init();
-
   nux::NuxInitialize(0);
   
   BackgroundEffectHelper::blur_type = BLUR_NONE;

=== renamed file 'dash/AbstractSeparator.cpp' => 'unity-shared/AbstractSeparator.cpp'
=== renamed file 'dash/AbstractSeparator.h' => 'unity-shared/AbstractSeparator.h'
=== modified file 'unity-shared/CMakeLists.txt'
--- unity-shared/CMakeLists.txt	2012-05-07 00:49:31 +0000
+++ unity-shared/CMakeLists.txt	2012-05-07 22:28:17 +0000
@@ -9,6 +9,11 @@
      "-DGETTEXT_PACKAGE=\"unity\""
      "-I${CMAKE_CURRENT_BINARY_DIR}"
      )
+
+if (${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
+  set (CFLAGS ${CFLAGS} "-fPIC")
+endif (${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
+
 add_definitions (${CFLAGS})
 
 set (LIBS ${CACHED_UNITY_DEPS_LIBRARIES} "-lunity-core-${UNITY_API_VERSION} -lm -lGL -lGLU")
@@ -23,6 +28,7 @@
 # Headers & Sources
 #
 set (UNITY_SHARED_SOURCES
+     AbstractSeparator.cpp
      Animator.cpp
      BGHash.cpp
      BackgroundEffectHelper.cpp
@@ -37,6 +43,7 @@
      Introspectable.cpp
      IntrospectableWrappers.cpp
      JSONParser.cpp
+     LineSeparator.cpp
      OverlayRenderer.cpp
      PanelStyle.cpp
      PluginAdapter.cpp
@@ -47,9 +54,11 @@
      Timer.cpp
      UBusWrapper.cpp
      UScreen.cpp
+     UnityWindowStyle.cpp
+     UnityWindowView.cpp
      WindowManager.cpp
      ubus-server.cpp
-     )
+)
 
 add_library (unity-shared STATIC ${UNITY_SHARED_SOURCES})
 add_dependencies (unity-shared unity-core-${UNITY_API_VERSION})

=== renamed file 'plugins/unityshell/src/CairoTexture.h' => 'unity-shared/CairoTexture.h'
=== renamed file 'dash/LineSeparator.cpp' => 'unity-shared/LineSeparator.cpp'
=== renamed file 'dash/LineSeparator.h' => 'unity-shared/LineSeparator.h'
=== renamed file 'launcher/UnityWindowStyle.cpp' => 'unity-shared/UnityWindowStyle.cpp'
=== renamed file 'launcher/UnityWindowStyle.h' => 'unity-shared/UnityWindowStyle.h'
=== renamed file 'launcher/UnityWindowView.cpp' => 'unity-shared/UnityWindowView.cpp'
=== renamed file 'launcher/UnityWindowView.h' => 'unity-shared/UnityWindowView.h'
